%define name gif2png
%define version 2.3.2
%define release 1mdk

Name: %{name}
Summary: tools for converting websites from using GIFs to using PNGs
Summary(fr): Outils de conversion de sites: convertit les GIFs en PNGs.
Summary(es): Herramienta para convertir sitios y imagenes de GIFs hacia PNGs.
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: Graphics
URL: http://www.tuxedo.org/~esr/gif2png/
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: MIT-like
Prefix: /usr
Requires: python
Packager: Geoffrey Lee <snailtalk@linux-mandrake.com>

%description 
Tools for converting GIFs to PNGs.  The program gif2png converts GIF files 
to PNG files.  The Python script web2png converts an entire web tree, 
also patching HTML pages to keep IMG SRC references correct.

%description -l fr
Outil de conversion du format GIF au format PNG. Le programme gif2png
convertit les fichiers GIF au format PNG. Le script Python scanne une
arborescence web complete et modifie aussi les pages HTML afin de rfrencer
 nouveau les fichiers images <IMG SRC ...>.

%description -l es
Herramienta de conversion GIF hacia PNG. El programa gif2png convierte los
archivos GIF al formato PNG. El script Python convierte un arbol web completo
y modifica incluso las paginas html para poner al dia las referencias a
imagenes <IMG SRC ...>.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
    --prefix=%{prefix}
uname -a|grep SMP && make -j 2 || make
    
%install
make install prefix=$RPM_BUILD_ROOT/%{prefix}

bzip2 $RPM_BUILD_ROOT/usr/man/man1/*
strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files
%defattr(-,root,root,0755)
%doc README NEWS COPYING AUTHORS
/usr/man/man1/*
/usr/bin/gif2png
/usr/bin/web2png
			 
%changelog
* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.3.2-1mdk
- Updated Version 
- Fixed Group for Mandrake

* Tue Feb 15 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Updated to 2.3.1

* Mon Jan 03 2000 Lenny Cartier <lenny@mandrakesoft.com>
-v2.2.5

* Mon Nov 08 1999 Camille Begnis <camille@mandrakesoft.com>
 
- Upgraded to 2.1.1
               
* Mon Nov 02 1999 Camille Begnis <camille@mandrakesoft.com>

- Upgraded to 2.0.1
					 
* Mon Oct 25 1999 Camille Begnis <camille@mandrakesoft.com>

- Specfile adaptions for Mandrake,
- Add python requirement,
- gz to bz2 compression,	 
